<?php
declare(strict_types=1);

namespace App\Test\TestCase\Model\Table;

use App\Model\Table\ChangeRequestsTable;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\ChangeRequestsTable Test Case
 */
class ChangeRequestsTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \App\Model\Table\ChangeRequestsTable
     */
    protected $ChangeRequests;

    /**
     * Fixtures
     *
     * @var list<string>
     */
    protected array $fixtures = [
        'app.ChangeRequests',
        'app.Users',
        'app.Faqs',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('ChangeRequests') ? [] : ['className' => ChangeRequestsTable::class];
        $this->ChangeRequests = $this->getTableLocator()->get('ChangeRequests', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->ChangeRequests);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @link \App\Model\Table\ChangeRequestsTable::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     * @link \App\Model\Table\ChangeRequestsTable::buildRules()
     */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
